com.sleepycat.db

## Class MemoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sleepycat.db.DatabaseException
      - - com.sleepycat.db.MemoryException

All Implemented Interfaces:
  java.io.Serializable

    public class MemoryException
    extends DatabaseException

This exception is thrown when a `DatabaseEntry` passed to a `Database` or `Cursor` method is not large enough to hold a value being returned. This only applies to `DatabaseEntry` objects configured with the `DatabaseEntry.setUserBuffer` method. In a Java Virtual Machine, there are usually separate heaps for memory allocated by native code and for objects allocated in Java code. If the Java heap is exhausted, the JVM will throw an `OutOfMemoryError`, so you may see that exception rather than this one.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`DatabaseEntry` `getDatabaseEntry()` Returns the `DatabaseEntry` object with insufficient memory to complete the operation.
`java.lang.String` `toString()`

### Methods inherited from class com.sleepycat.db.DatabaseException

`getEnvironment, getErrno`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getDatabaseEntry

    public DatabaseEntry getDatabaseEntry()

Returns the `DatabaseEntry` object with insufficient memory to complete the operation.

Returns:
  the DatabaseEntry object with insufficient memory to complete the operation

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `DatabaseException`